cask 'spike' do
  version 'APP_VERSION-APP_BUILD-CONFIGURATION'
  sha256 'APP_SHA256'

  url "https://www.spikeproxy.com/updates/Spike-#{version}.zip"
  name 'Spike'
  homepage 'https://www.spikeproxy.com'

  auto_updates true

  app 'Spike.app'

  uninstall quit:       'me.robertburns.macos.Spike',
            login_item: 'Spike'

  zap delete: [
                '~/Library/Preferences/me.robertburns.macos.Spike.plist'
              ]
end
